UNIT CCdevIntf;

INTERFACE

	USES
		ObjIntf;


	TYPE
		styleListRec = RECORD
				theString: str255;
				font: integer;
				size: integer;
				face: Style;
				fColor: longint;
				bColor: longint;
			END;
		styleListPtr = ^styleListRec;

		CList = OBJECT(TObject)

				theList: ListHandle;
				listWindow: WindowPtr;
				listRect: Rect;
				dataBounds: Rect;
				cSize: Point;
				theRow: integer;
				lastCell: Cell;
				theFont, theSize: integer;
				hasScrollBar: Boolean;

				PROCEDURE IList (lRect: Rect;
											w: WindowPtr;
											font, size: integer;
											ProcID: integer;
											hasScroll: Boolean);
				PROCEDURE Free;
				override;
				PROCEDURE ListUpdate;
				PROCEDURE SelectCell (theCell: Cell);
				PROCEDURE AddToList (theStr: Str255);
				PROCEDURE AddListData (theData: styleListRec);
				PROCEDURE RemoveFromList;
				FUNCTION GetListData (theCell: Cell): Ptr;
				FUNCTION DoList (event: EventRecord): Boolean;	{Returns double click or not}
			END;

	TYPE
		CCdev = OBJECT


				dp: DialogPtr;
				refNum: integer;
				rsrcID: integer;
				lastItem: integer;
				status: longint;
				event: EventRecord;

				PROCEDURE Init;
				PROCEDURE Hit (item: integer);
				PROCEDURE Close;
				PROCEDURE Update;
				PROCEDURE Activate;
				PROCEDURE Deactivate;
				PROCEDURE Idle;
				PROCEDURE Key (theChar: char);
				PROCEDURE DoCmdKey (theChar: char);
				FUNCTION Message (msg, item: integer): longint;

				PROCEDURE CCdev.PostCdevEvent (theEvent: EventRecord);
				PROCEDURE CCdev.ICdev (d: DialogPtr;
											rNum: integer;
											resID: integer;
											items: integer);

				PROCEDURE Undo;
				PROCEDURE Cut;
				PROCEDURE Copy;
				PROCEDURE Paste;
				PROCEDURE Clear;
			END;

IMPLEMENTATION

END.