{CYourCdev.p}
{}
{A sample cdev class.}
{}
{NOTE: This object pascal cdev will only work with THINK Pascal 4.0!}
{Do not attempt to use it in earlier versions!}
{}
{This cdev is set up to handle objects as well as Global vars.}

UNIT CYourCdev;

INTERFACE

	USES
		CCdev;

	TYPE
		CYourCdev = OBJECT(CCdev)

	{Instance variables}

	{Overriden functions, be sure call inherited when necessary}

				PROCEDURE Init;
				override;
				PROCEDURE Hit (item: integer);
				override;

	{Your Control Panel's specific methods}

				PROCEDURE DoAbout;
			END;

	CONST
		aboutButton = 2;
		aboutID = -4048;
		dialogID = -4048;

	FUNCTION Runable: Boolean;
	FUNCTION NewCdev: CCdev;

IMPLEMENTATION

{------------------------------------------------------------------------------------------}

	FUNCTION Runable: Boolean;
	BEGIN
		Runable := True;
	END;

{------------------------------------------------------------------------------------------}

	FUNCTION NewCdev: CCdev;
		VAR
			thisCdev: CYourCdev;

	BEGIN
		new(thisCdev);
		NewCdev := thisCdev;
	END;

{------------------------------------------------------------------------------------------}

	PROCEDURE CYourCdev.Init;
	BEGIN
		INHERITED Init;
	END;

{------------------------------------------------------------------------------------------}

	PROCEDURE CYourCdev.Hit (item: integer);
	BEGIN
		CASE item OF
			aboutButton: 
				DoAbout;
			OTHERWISE
				;
		END;
	END;

{------------------------------------------------------------------------------------------}

	PROCEDURE CYourCdev.DoAbout;
		VAR
			d: DialogPtr;
			item: integer;
			p: GrafPtr;

	BEGIN
		GetPort(p);

		d := CenterNewDialog(dialogID, NIL, WindowPtr(-1), geneva, 9);

		REPEAT
			ModalDialog(@DlgFilter, item);
		UNTIL item = 1;

		DisposDialog(d);
		SetPort(p);
	END;

{------------------------------------------------------------------------------------------}

END.